Mandrake Linux Security Advisory : apache-mod_perl (MDKSA-2007:083)

This script is Copyright (C) 2007-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

PerlRun.pm in Apache mod_perl 1.30 and earlier, and RegistryCooker.pm
in mod_perl 2.x, does not properly escape PATH_INFO before use in a
regular expression, which allows remote attackers to cause a denial of
service (resource consumption) via a crafted URI.

Updated packages have been patched to correct this issue.

Solution :

Update the affected apache-mod_perl and / or apache-mod_perl-devel
packages.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P)
CVSS Temporal Score : 3.6
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Mandriva Local Security Checks

Nessus Plugin ID: 25034 (mandrake_MDKSA-2007-083.nasl)

Bugtraq ID: 23192

CVE ID: CVE-2007-1349

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now